{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Productos{% endblock %}

{% block content %}
        <div class="wrapper">
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Productos</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Productos</a></li>
                                    <li class="breadcrumb-item active">Productos</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-12">
                            <div class="card card-secondary card-outline">
                                <div class="card-header clearfix">
                                    <button type="button" class="btn  btn-success" data-toggle="modal" data-target="#modal-lg">
                                        <i class="fas fa-plus"></i>&nbsp;&nbsp;Agregar Producto
                                    </button>
                                </div>
                                <!-- /.card-header -->
                                <div class="card-body">
                                  <table id="example1" class="table table-bordered table-striped">
                                    <thead id="thead-productos " class="bg-info">
                                        <tr>
                                            <th >Código Interno</th>
                                            <th >Descripción</th>
                                            <th >Categoría</th>
                                            <th >Precio compra</th>
                                            <th >Precio venta</th>
                                            <th >Stock</th>
                                            <th >Opciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="tbody-productos">
                                        <tr>
                                            <td>111111111</td>
                                            <td>Aceite 1,5lt</td>
                                            <td>Despensa</td>
                                            <td>800</td>
                                            <td>1300</td>
                                            <td>20</td>
                                            <td class="project-actions text-right">
                                                <a class="btn btn-warning btn-sm" href="#" data-toggle="modal" data-target="#modal-editar" onclick="Edit()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </a>
                                                <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                    <i class="fas fa-trash"></i>
                                                </a>
                                                <a href="#" class="btn btn-info btn-sm"><i class="fas fa-barcode"></i></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>222222222</td>
                                            <td>Azúcar 1kg</td>
                                            <td>Despensa</td>
                                            <td>800</td>
                                            <td>1300</td>
                                            <td>30</td>
                                            <td class="project-actions text-right">
                                                <a class="btn btn-warning btn-sm" href="#" data-toggle="modal" data-target="#modal-editar" onclick="Edit()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </a>
                                                <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                    <i class="fas fa-trash"></i>
                                                </a>
                                                <a href="#" class="btn btn-info btn-sm"><i class="fas fa-barcode"></i></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>333333333</td>
                                            <td>Detergente omo 500g</td>
                                            <td>Limpieza</td>
                                            <td>640</td>
                                            <td>1100</td>
                                            <td>26</td>
                                            <td class="project-actions text-right">
                                                <a class="btn btn-warning btn-sm" href="#" data-toggle="modal" data-target="#modal-editar" onclick="Edit()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </a>
                                                <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                    <i class="fas fa-trash"></i>
                                                </a>
                                                <a href="#" class="btn btn-info btn-sm"><i class="fas fa-barcode"></i></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>4444444444</td>
                                            <td>Mastercat 500g</td>
                                            <td>Mascotas</td>
                                            <td>640</td>
                                            <td>1100</td>
                                            <td>15</td>
                                            <td class="project-actions text-right">
                                                <a class="btn btn-warning btn-sm" href="#" data-toggle="modal" data-target="#modal-editar" onclick="Edit()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </a>
                                                <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                    <i class="fas fa-trash"></i>
                                                </a>
                                                <a href="#" class="btn btn-info btn-sm"><i class="fas fa-barcode"></i></a>
                                            </td>
                                        </tr>
                                    </tbody>
                                    <tfoot class="bg-info">
                                    <tr>
                                        <th>Código Interno</th>
                                        <th>Descripción</th>
                                        <th>Categoría</th>
                                        <th>Precio compra</th>
                                        <th>Precio venta</th>
                                        <th>Stock</th>
                                        <th>Opciones</th>
                                    </tr>
                                    </tfoot>
                                  </table>
                                </div>
                                <!-- /.card-body -->
                              </div>
                              <!-- /.card -->
                        </div>
                    </div>
                     <!-- /.modal -->
                     <div class="modal fade" id="modal-lg">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Agregar Producto</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form class="form-horizontal">
                                        <div class="card-body">
                                          <div class="form-group row">
                                            <label for="desc" class="col-lg-2 col-md-4 col-sm-4 col-form-label">Descripción</label>
                                            <div class="col-lg-10 col-md-8 col-sm-8">
                                              <input type="text" class="form-control" id="desc" >
                                            </div>
                                          </div>
                                          <div class="form-group row">
                                            <label for="cat" class="col-lg-2 col-md-4 col-sm-4  col-form-label">Categoría</label>
                                            <div class="col-lg-10 col-md-8 col-sm-8">
                                                <select id="cat" class="form-control select2" data-placeholder="Seleccione categoría" style="width: 100%;">
                                                    <option></option>
                                                    <option>Despensa</option>
                                                    <option>Bebidas</option>
                                                    <option>Cuidado Personal</option>
                                                    <option>Limpieza</option>
                                                    <option>Mascotas</option>
                                                    <option>Lacteos</option>
                                                </select>
                                            </div>
                                          </div>
                                          <div class="form-group row">
                                            <label for="pcompra" class="col-lg-2 col-md-4 col-sm-4  col-form-label">Precio compra</label>
                                            <div class="col-lg-10 col-md-8 col-sm-8">
                                              <input type="number" class="form-control" id="pcompra" >
                                            </div>
                                          </div>
                                          <div class="form-group row">
                                            <label for="pventa" class="col-lg-2 col-md-4 col-sm-4 col-form-label">Precio venta</label>
                                            <div class="col-lg-10 col-md-8 col-sm-8">
                                              <input type="number" class="form-control" id="pventa" >
                                            </div>
                                          </div>
                                          <div class="form-group row">
                                            <label for="stock" class="col-lg-2 col-md-4 col-sm-4 col-form-label">Stock</label>
                                            <div class="col-lg-10 col-md-8 col-sm-8">
                                              <input type="number" class="form-control" id="stock" >
                                            </div>
                                          </div>
                                        </div>
                                        <!-- /.card-body -->
                                      </form>
                                </div>
                                <div class="modal-footer justify-content-between">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    <button type="submit" class="btn btn-info" onclick="guardar()">Guardar</button>
                                </div>
                            </div>
                        </div>
                        <!-- /.modal-dialog -->
                    </div>
                    <!-- /.modal -->
                </section>
                <!-- /.content -->
            </div>

            {% include "views/default/footer.html" %}
        </div>
        <!-- ./wrapper -->
        {% endblock content %}
        {% block js %}
        <!-- page script -->
        <script src="{% static 'dist/js/pages/producto.js' %}"></script>
        {% endblock js %}
        
